Loading...
Searching...
No Matches
CdEccContext Struct Reference

Lookup tables and state for Compact Disc EDC/ECC (P/Q) regeneration / verification. More...

`#include <aaruformat/context.h>`

## Data Fields

bool | inited_edc
| True once EDC/ECC tables have been initialized.
uint8_t * | ecc_b_table
| Backward (B) ECC table (allocated, size implementation-defined).
uint8_t * | ecc_f_table
| Forward (F) ECC table.
uint32_t * | edc_table
| EDC (CRC) lookup table.

## Detailed Description

Lookup tables and state for Compact Disc EDC/ECC (P/Q) regeneration / verification.

Fields may be lazily allocated; inited_edc indicates tables are ready.

Definition at line 88 of file context.h.

## Field Documentation

## ecc_b_table

uint8_t* CdEccContext::ecc_b_table

Backward (B) ECC table (allocated, size implementation-defined).

Definition at line 91 of file context.h.

Referenced by aaruf_ecc_cd_check(), aaruf_ecc_cd_free(), aaruf_ecc_cd_init(), and aaruf_ecc_cd_write().

## ecc_f_table

uint8_t* CdEccContext::ecc_f_table

Forward (F) ECC table.

Definition at line 92 of file context.h.

Referenced by aaruf_ecc_cd_check(), aaruf_ecc_cd_free(), aaruf_ecc_cd_init(), and aaruf_ecc_cd_write().

## edc_table

uint32_t* CdEccContext::edc_table

EDC (CRC) lookup table.

Definition at line 93 of file context.h.

Referenced by aaruf_ecc_cd_free(), aaruf_ecc_cd_init(), and aaruf_edc_cd_compute().

## inited_edc

bool CdEccContext::inited_edc

True once EDC/ECC tables have been initialized.

Definition at line 90 of file context.h.

Referenced by aaruf_ecc_cd_check(), aaruf_ecc_cd_init(), aaruf_ecc_cd_is_suffix_correct(), aaruf_ecc_cd_is_suffix_correct_mode2(), aaruf_ecc_cd_reconstruct(), aaruf_ecc_cd_write(), and aaruf_edc_cd_compute().

The documentation for this struct was generated from the following file:

- include/aaruformat/context.h